<%Select Case sotype
   case 2
      ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=-1&pn="&Page
   case 3
      ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=0&pn="&Page
   case 4
     ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=1&pn="&Page
   case 5
     ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=2&pn="&Page   
   case 6
     ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=6&pn="&Page
   case 7
     ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=32767&pn="&Page
   case else
     ThePage="http://mp3.baidu.com/m?f=ms&rn=&tn=baidump3&ct=134217728&word="&keyword&"&lm=-1&pn="&Page
End Select
TheThie=GetPage(ThePage)
TheBody=GetContent(TheThie,"<table width=75% border=0 cellpadding=2 cellspacing=0 bordercolor=#ffffff bgcolor=""#FFFFFF"" class=""list"">","</table>",1)
ThiePageM=GetContent(TheThie,"<div class=""pg"">","</div>",0)
if TheBody="" then
Response.Write "<br>抱歉，没有找到与“"&keyword&"”相关的内容。<br><br>"
exit sub
End if
TheBody=Replace(TheBody,"<table width=75% border=0 cellpadding=2 cellspacing=0 bordercolor=#ffffff bgcolor=""#FFFFFF"" class=""list"">","<table width=760 border=0 cellpadding=2 cellspacing=0 class=""list"">")
TheBody=Replace(TheBody,"http://img.baidu.com/img/mp3/","img/")
Set Re=new RegExp
Re.Global = True
Re.Pattern=" onclick="".+?"""
TheBody=Re.Replace(TheBody,"")
Re.Pattern="<b>铃声</b>"
TheBody=Re.Replace(TheBody,"")
Re.Pattern="铃声</a>"
TheBody=Re.Replace(TheBody,"")
Re.Pattern="href=""http:\/\/mp3.baidu.com\/m\?tn=baidump3&ct=.+?word=(.+?)&lm.+?>(.+?)</a>"
TheBody=Re.Replace(TheBody,"href=""?word=$1&t=2"">$2</a>")
Re.Pattern="href=""http:\/\/mp3.baidu.com\/m\?tn=baidump3lyric&word=(.+?)&.+?>(.+?)</a>"
TheBody=Re.Replace(TheBody,"href=""?word=$1&t=1"">$2</a>")
Re.Pattern="<a href=""http:\/\/202.108.23.172\/m\?ct=134217728&tn=baidusg,(.+?)"".+?请点击.+?>(.+?)</a>"
if download="n" then
TheBody=Re.Replace(TheBody,"$2")
else
TheBody=Re.Replace(TheBody,"$2(<a href=""download.jsp?music=$1"" target=""_blank"">下载</a>)")
end if
Re.Pattern="&music=<font style=color:#e10900>(.+?)</font>"
TheBody=Re.Replace(TheBody,"&music=$1")
Re.Pattern="<a target=""_blank"" href=""http:\/\/(\S+?)\.(\S+?)\.(\S+?)\.(\S+?)/m\?ct=134217728&tn=baidumt,"
TheBody=Re.Replace(TheBody,"<a target=""play"" href=""play.jsp?ac=t&music=")
Re.Pattern="href=(http:\/\/mp3.baidu.com\/m)(.+?)pn=(\S+?)>(.+?)</a>"
ThiePageM=Re.Replace(ThiePageM,"href=""?word="&Keyword&"&t="&sotype&"&p=$3"">$4</a>")
Set Re=Nothing
ThiePageM=Replace(ThiePageM,"<font>上一页</font>","上一页")
ThiePageM=Replace(ThiePageM,"<font>下一页</font>","下一页")
Response.Write TheBody
Response.Write ThiePageM%>
